---
sidebar_label: WaitForSelectorOptions.visible
---

# WaitForSelectorOptions.visible property

Wait for the selected element to be present in DOM and to be visible, i.e. to not have `display: none` or `visibility: hidden` CSS properties.

**Signature:**

```typescript
interface WaitForSelectorOptions {
  visible?: boolean;
}
```
